# Generated from backbone-associations-rails-0.6.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name backbone-associations-rails

Name: rubygem-%{gem_name}
Version: 0.6.2
Release: 1%{?dist}
Summary: Packages the backbone.associations library for use with the asset pipline
License: MIT
URL: https://github.com/wingrunr21/backbone-associations-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Backbone-associations provides a way of specifying 1:1 and 1:N relationships
between Backbone models. Additionally, parent model instances (and objects
extended from Backbone.Events) can listen in to CRUD events initiated on any
children - in the object graph - by providing an appropriately qualified event
path name.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/backbone-associations-rails.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.6.2-1
- Initial package
